{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>




  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">


        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->

        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='percentage-home-details-wrapper' class="mt-5">

          <hr />

          <section id="videos-table">
            <form method="POST" class="mb-5" enctype="multipart/form-data">
                {% csrf_token %}
                <fieldset>
                    <legend class="mb-4 text-white d-inline-block">
                        {% trans "Upload new video" %}
                    </legend>

                    <!-- form field start -->
                    <div class="form-group row art-form-field">
                        <label for="title" class="col-sm-2 col-form-label text-white">
                            {% render_field upload_video.title.label %}
                        </label>
                        <div class="col-sm-10">
                            <!-- input -->
                            {% render_field upload_video.title class+="art-input custom-art-input" id="title" %}
                        </div>
                    </div>
                    <!-- form field end -->

                    <!-- form field start -->
                    <div class="form-group row art-form-field">
                        <label for="youtube_url" class="col-sm-2 col-form-label text-white">
                            {% render_field upload_video.youtube_url.label %}
                        </label>
                        <div class="col-sm-10">
                            <!-- input -->
                            {% render_field upload_video.youtube_url class+="art-input custom-art-input" id="youtube_url" %}
                        </div>
                    </div>
                    <!-- form field end -->

                    <!-- form field start -->
                    <div class="form-group row art-form-field">
                        <label for="video_path" class="col-sm-2 col-form-label text-white">
                            {% render_field upload_video.video_path.label %}
                        </label>
                        <div class="col-sm-10">
                            <!-- input -->
                            {% render_field upload_video.video_path class+="art-input custom-art-input" id="video_path" %}
                        </div>
                    </div>
                    <!-- form field end -->

                    <!-- form field start -->
                    <div class="form-group row art-form-field">
                        <label for="video_thumbnail" class="col-sm-2 col-form-label text-white">
                            {% render_field upload_video.video_thumbnail.label %}
                        </label>
                        <div class="col-sm-10">
                            <!-- input -->
                            {% render_field upload_video.video_thumbnail class+="art-input custom-art-input" id="video_thumbnail" %}
                        </div>
                    </div>
                    <!-- form field end -->

                    <!-- form field start -->
                    <div class="form-group row art-form-field">
                        <label for="summary" class="col-sm-2 col-form-label text-white">
                            {% render_field upload_video.summary.label %}
                        </label>
                        <div class="col-sm-10">
                            <!-- input -->
                            {% render_field upload_video.summary class+="art-input custom-art-input" id="summary" %}
                        </div>
                    </div>
                    <!-- form field end -->

                    <!-- form field start -->
                    <div class="form-group row art-form-field">
                        <label for="body" class="col-sm-2 col-form-label text-white">
                            {% render_field upload_video.body.label %}
                        </label>
                        <div class="col-sm-10">
                            <!-- input -->
                            <textarea name="body" class="editor" cols="40" rows="20" id="id_body"></textarea>
                        </div>
                    </div>
                    <!-- form field end -->

                    <!-- button -->
                    <div
                        class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                        <button class="art-btn art-btn-md art-submit" type="submit">
                            <span>{% trans 'Add' %}</span>
                        </button>
                        <!-- success -->
                    </div>
                </fieldset>
            </form>
          </section>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}